{
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;
  cfg = config.horseman.hardware.audio;
in {
  options = {
    horseman.hardware.audio = {
      enable = mkEnableOption "Audio options";
    };
  };

  config = mkIf cfg.enable {
    services.pipewire.enable = false;
    services.pulseaudio = {
      enable = true;
      support32Bit = true;
    };
  };
}
